For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Adds a task bundle to a project.

POST
https://api.awork.com/api/v1/projects/:projectId/addtaskbundle
POST
/api/v1/projects/:projectId/addtaskbundle
$curl -X POST https://api.awork.com/api/v1/projects/projectId/addtaskbundle \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "taskBundleId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
> "defaultTaskListIdForEmails": "a3bb189e-8bf9-3888-9912-ace4e6543002",
> "referenceDateType": "today",
> "referenceDateAnchor": "starts_on_reference_date",
> "customReferenceDate": "2024-06-15"
>}'
1{}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Lists task bundles.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The add Task Bundle form payload.
taskBundleIdstring or nullOptionalformat: "uuid"
The id of the task bundle to add to the entity.
defaultTaskListIdForEmailsstring or nullOptionalformat: "uuid"
referenceDateTypeenum or nullOptional

(optional, default = TODAY) Defines the starting date from which the reference date is calculated. The reference date is the date from which the Start/DueOn date of a task is calculated, based on the ReferenceDateAnchor.

Allowed values:
referenceDateAnchorenum or nullOptional

(optional, default = START) Defines what the reference date represents for the schedule (start of first task or end of last task).

Allowed values:
customReferenceDatestring or nullOptionalformat: "date"

(optional) The custom reference date when ReferenceDateType is set to ‘custom’.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error